summaryrefslogtreecommitdiff
path: root/run_tests.sh
diff options
context:
space:
mode:
authorbd-912 <bdunahu@colostate.edu>2024-03-16 22:06:32 -0600
committerbd-912 <bdunahu@colostate.edu>2024-03-16 22:06:32 -0600
commit6a24c69232901de51f50beab9c3d3b3760dee334 (patch)
tree70c71b9ec25d3f6085d71c83e2be3719fe638ae9 /run_tests.sh
parent5b09fb3697f4b1cc1f2f3781f10e1334ada69c22 (diff)
(Nonfunctional) Implemented many type-checking rules
Diffstat (limited to 'run_tests.sh')
-rwxr-xr-xrun_tests.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/run_tests.sh b/run_tests.sh
index 6c63a22..bbecc70 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -7,5 +7,5 @@ for i in ./tests/*.java; do
actual=$(java Typecheck < $i)
echo -n "$(basename ${i}): "
- [[ $expected != $actual ]] && echo -e "FAILED---Expected: $expected" || echo 'PASSED'
+ [[ $expected == $actual ]] && echo 'PASSED' || echo -e "FAILED---Expected: $expected"
done